Package twisted :: Package internet :: Module udp :: Class ConnectedMulticastPort |
[show private | hide private]
[frames | no frames]

## Class ConnectedMulticastPort

                MulticastMixin --+
                                 |
        Logger --+               |
                 |               |
     Ephemeral --+               |
                 |               |
    FileDescriptor --+           |
                     |           |
              BasePort --+       |
                         |       |
                      Port --+   |
                             |   |
                 ConnectedPort --+
                                 |
                                ConnectedMulticastPort

Connected UDP Port that supports multicasting.

Method Summary
| `__init__(self, (remotehost, remoteport), port, proto, interface, maxPacketSize, reactor)` (inherited from `ConnectedPort`)
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__repr__(self)` (inherited from `Port`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| `connectionFailed(self, reason)` (inherited from `ConnectedPort`)
| ``connectionLost`(self, reason)` Cleans up my socket. (inherited from `Port`)
| ``doRead`(self)` Called when my socket is ready for reading. (inherited from `ConnectedPort`)
| ``fileno`(self)` File Descriptor number for select(). (inherited from `FileDescriptor`)
| ``getHost`(self)` Returns a tuple of ('INET_UDP', hostname, port), indicating the servers address (inherited from `Port`)
| `getLoopbackMode(self)` (inherited from `MulticastMixin`)
| `getOutgoingInterface(self)` (inherited from `MulticastMixin`)
| ``getPeer`(self)` Returns a tuple of ('INET_UDP', hostname, port), indicating the remote address. (inherited from `ConnectedPort`)
| `getTTL(self)` (inherited from `MulticastMixin`)
| ``joinGroup`(self, addr, interface)` Join a multicast group. (inherited from `MulticastMixin`)
| ``leaveGroup`(self, addr, interface)` Leave multicast group, return Deferred of success. (inherited from `MulticastMixin`)
| ``logPrefix`(self)` Returns the name of my class, to prefix log entries with. (inherited from `Port`)
| ``loseConnection`(self)` Stop accepting connections on this port. (inherited from `Port`)
| `pauseProducing(self)` (inherited from `FileDescriptor`)
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer. (inherited from `FileDescriptor`)
| `resumeProducing(self)` (inherited from `FileDescriptor`)
| `setLogStr(self)` (inherited from `Port`)
| `setLoopbackMode(self, mode)` (inherited from `MulticastMixin`)
| ``setOutgoingInterface`(self, addr)` Returns Deferred of success. (inherited from `MulticastMixin`)
| `setRealAddress(self, addr)` (inherited from `ConnectedPort`)
| `setTTL(self, ttl)` (inherited from `MulticastMixin`)
| ``startListening`(self)` Create and bind my socket, and begin listening on it. (inherited from `ConnectedPort`)
| ``startReading`(self)` Start waiting for read availability. (inherited from `FileDescriptor`)
| ``startWriting`(self)` Start waiting for write availability. (inherited from `FileDescriptor`)
| ``stopConsuming`(self)` Stop consuming data. (inherited from `FileDescriptor`)
| ``stopListening`(self)` Stop accepting connections on this port. (inherited from `Port`)
| `stopProducing(self)` (inherited from `FileDescriptor`)
| ``stopReading`(self)` Stop waiting for read availability. (inherited from `FileDescriptor`)
| ``stopWriting`(self)` Stop waiting for write availability. (inherited from `FileDescriptor`)
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting. (inherited from `FileDescriptor`)
| ``write`(self, data)` Write a datagram. (inherited from `ConnectedPort`)
| `writeSequence(self, seq, addr)` (inherited from `Port`)
| ``writeSomeData`(self, data)` Write as much as possible of the given data, immediately. (inherited from `FileDescriptor`)

Class Variable Summary
`tuple` | `__implements__`

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        ((((<class 'twisted.internet.interfaces.IProducer'>,
            <class 'twisted.internet.interfaces.IReadWriteDescriptor'>,
            <class 'twisted.internet.interfaces.IConsumer'>,
            <class 'twisted.internet.interfaces.ITransport'>),
           <class 'twisted.internet.interfaces.IUDPTransport'>),
          <class 'twisted.internet.interfaces.IUDPConnectedTransport'>),
         <class 'twisted.internet.interfaces.IMulticastTransport'>)

Generated by Epydoc 1.1 on Thu May 8 13:16:29 2003 | http://epydoc.sf.net